# Diagnostics utility ECU configuration
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

imports:
  - firmware/common/can/dbc/bmu_alerts.h
  - firmware/common/can/dbc/tbc_alerts.h
  - firmware/common/can/dbc/vh6/epas_alerts.h
  - firmware/common/can/dbc/vh6/mon_alerts.h
  - firmware/common/can/dbc/vh6/vox_alerts.h
  - firmware/common/can/dbc/vh6/vh6a/celi_alerts.h
  - firmware/common/can/dbc/vh6/vh6b/bbc_alerts.h
  - firmware/common/can/dbc/vh6/vh6b/celi_alerts.h
  - firmware/common/can/dbc/vh6/vh6b/dcu_alerts.h
  - firmware/common/can/dbc/vh6/vh6b/lux_alerts.h
  - firmware/common/can/dbc/vh6/vh6b/src_alerts.h
ecus:
  # exists in both A and B so no need to add a value to check for
  - ecu_path: /ecus/vox/0
    collector: vox::VOX1Faults
  - ecu_path: /ecus/vox/1
    collector: vox::VOX2Faults
  - ecu_path: /ecus/tbc
    collector: tbc::TBCFaults
  - ecu_path: /ecus/bmu
    collector: bmu::BMUFaults
  - ecu_path: /emu
    collector: mon::MONFaults
  - ecu_path: /ecus/epas/0
    collector: epas::EPAS1Faults
  - ecu_path: /ecus/epas/1
    collector: epas::EPAS2Faults
  - ecu_path: /ecus/epas/2
    collector: epas::EPAS3Faults
  - ecu_path: /ecus/epas/3
    collector: epas::EPAS4Faults
  # DCU faults for VH6B
  - ecu_path: /ecus/dcu/0/version
    value: DCU_V2
    collector: dcu::DCU1Faults
  - ecu_path: /ecus/dcu/1/version
    value: DCU_V2
    collector: dcu::DCU2Faults
  # SRC faults, only for VH6B
  - ecu_path: /ecus/src/0/version
    value: SRC_V2_1
    collector: src::SRC1Faults
  - ecu_path: /ecus/src/1/version
    value: SRC_V2_1
    collector: src::SRC2Faults
  # CELI faults for VH6B
  - ecu_path: /ecus/celi/0/info/part_num
    value: P00001132-02-AA
    collector: celi_b::CELI1Faults
  - ecu_path: /ecus/celi/1/info/part_num
    value: P00001132-02-AA
    collector: celi_b::CELI2Faults
  # BBC faults for VH6B only
  - ecu_path: /ecus/bbc
    collector: bbc::BBCFaults
  # LUX faults for VH6B only (VH6A faults shouldn't be added without updating
  # vehicle/diagnostics/generator/diagnostic_config_generator and firmware/common/can/BUILD)
  - ecu_path: /ecus/lux/0/protocol_version
    value: DBC_V2
    collector: lux_b::LUX1Faults
  - ecu_path: /ecus/lux/1/protocol_version
    value: DBC_V2
    collector: lux_b::LUX2Faults
